Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataElementSupport

Direct Known Subclasses:
  CellMLModuleType, SbmlModuleType, SimulationResult, StandardModuleType, AbstractDataCollection, DataElementRef, Entry, FileDataElement, FunctionInfo, PropertyInfo

public class DataElementSupport
implements DataElement

Implements DataElement interface by common way.

todo low Rename to AbstractDataElement or other name.

Constructor Summary
`DataElementSupport(String name, DataCollection origin)` Construct data element.

Method Summary
`String` | `getName()` Return name of the data element.
`DataCollection` | `getOrigin()` Return origin data collection for this data element.
`static void` | `registerConstructorWithBadEqual(Class type, String[] constructor)`
`String` | `toString()`

Constructor Detail

### DataElementSupport

    public DataElementSupport(String name, DataCollection origin)

  Construct data element.
  Parameters:
    name - Name of the data element.
    origin - Origin data collection.

Method Detail

### getName

    public String getName()

  Return name of the data element.
  Returns: Name of the data element.
  todo final specifier needed.

### getOrigin

    public DataCollection getOrigin()

  Return origin data collection for this data element.
  Returns: Origin data collection for this data element.
  todo final specifier needed.

### registerConstructorWithBadEqual

    public static void registerConstructorWithBadEqual(Class type, String[] constructor)
                                                 throws java.beans.IntrospectionException

### toString

    public String toString()

  todo LOW Temporary method.

Association Links

to Class java.lang.String

  Data element name. It is set up in constructor and is declared `private` to warranty that it can not be changed.

  todo Getter for this member is not final, and so may be overrided.

to Class ru.biosoft.access.DataCollection

  Origin data collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM